
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PC、iOS、Android通用的交互设计 / iVAN</title>

    <meta name="description" content="PC、iOS、Android通用的交互设计 本文作者@一大坨黄 供职@微博UDChttp://www.aliyun.com/zixun/aggregation/11452.html&quot;&gt;设计中心 .近年来,在技术方式,网页自适应的兴起.微软Win8系统的发布,都在试图解决一个问题:让同一产品能在平板.PC等多平台下同时使用. 由此可见,替换掉冗余的多版本开发模式,发展通用性,是未来产品发展的一种趋势.因此,设计师也要在不同的平台规范和习惯中寻找共同点. 针对多平台这一问题,很多网站的解决方法,是为不同的设备提供不同的网页,比 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PC、iOS、Android通用的交互设计</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文作者@一大坨黄 供职@微博UDC&quot;&gt;设计中心 。近年来，在技术方式，网页自适应的兴起、微软Win8系统的发布，都在试图解决一个问题：让同一产品能在平板、PC等多平台下同时使用。</p>
<p>由此可见，替换掉冗余的多版本开发模式，发展通用性，是未来产品发展的一种趋势。因此，设计师也要在不同的平台规范和习惯中寻找共同点。</p>
<p>针对多平台这一问题，很多网站的解决方法，是为不同的设备提供不同的网页，比如专门提供一个Mobile版本，或者iPhone 、iPad版本。这样做固然保证了单一平台的使用效果，但是他妨碍了用户对一家产品的连贯性认知。使用起来比较麻烦，同时要维护好几个版本。而且如果一个网站有多个portal（入口），会大大增加架构设计的复杂度。</p>
<p>如果你要说“因为屏幕大小不一样，需要针对性的设计才能最大化的利用屏幕空间。”我认为这是产品经理强加给用户的需求，因为在用研过程中，很少听到有用户的反馈是“我觉得这个地方空掉了，好浪费”。能考虑到最大化利用空间这点固然是好，但是，如果以牺牲用户对你家产品的操作习惯为代价，那就没有节操了。</p>
<p>作为交互设计师一枚，从产品开发者的角度来想，类是要分的，不过差别太大就不好了。因为，版本对于开发者的意义远远大于用户。从用户的操作行为来看，PC版、iPhone版、iPad版、Android版神马的… 差别不过是：通过触摸来完成操作，或是需要通过鼠标来操作。</p>
<p>要做到一款产品完全适用多个平台是不可能的，我们能做的是综合考虑多个平台，找出共性，让差异减少到最小。</p>
<p>在现有的产品产品设计中，已经看到多平台通用设计的模型了，例如，虽然Android平台自带物理返回键，但是在Android许多应用中仍保留了iOS的虚拟返回操作。</p>
<p>上文分析过，各平台的操作对用户来说，差别是通过触摸或是通过鼠标来操作。接下来，从用户角度出发，针对这两种操作行为总结几点设计中要注意的问题，保证多平台的通用性：</p>
<p>交互层面：<br />
<br />一个完整的交互事件包括：交互行为+交互对象+交互展现。宏观上多平台的交互通用性要从这三个方面考虑。至少确保一个产品的主要功能的交互差异不要太大。不过，具体问题还要具体分析，各个平台的独特优越性，还是要充分利用。</p>
<p>由于鼠标悬浮只适用于鼠标操作，而语音、亮度、位移只适用于触摸操，因此，一个要兼容多平台的产品，在主要功能上，要避开这些交互行为。而是采用两者的交集：鼠标点击、鼠标拖拽、获得焦点、键盘弹起和滚动滚轮。</p>
<p>主要功能的交互对象一致<br />
<br />所谓交互对象，就是交互动作的直接接收者，一般体现为一个按钮或者热区，要考虑多平台的通用性，就要从其位置和大小两个属性入手</p>
<p>触摸操作（iPhone、iPad、Android等）</p>
<p>位置：用户使用手机，多是单手握住手机底部，竖屏操作；而使用iPad多是双手握住机器中部，横屏操作。这两种场景下的易触位置如图</p>
<p>大小：根据iOS规范，理论上可触击元素的最小尺寸应该为44像素(约1/4英寸或7毫米)见方。</p>
<p>鼠标操作（PC）</p>
<p>根据费茨定律，PC端的交互对象描述如下：目标越大，所用时间越短。距离越长，所用时间越长。<br />由于PC鼠标箭头能够点击的区域可以很小且相对精确，PC端的约束较轻，所以这里只单向考虑了触摸操作平台，将主要功能置于屏幕下方，尺寸大于44像素（约1/4英寸或7毫米）见方的点击区即可。</p>
<p>主要功能的交互展现一致<br />
<br />所谓的交互展示就是交互行为作用在交互对象上产生的结果、反馈。两大操作形式上不做区分，只要技术支持，形式不限，重要的是平台实现效果的性价比。</p>
<p>常用6种效果：转场、邀请、过渡、反馈、缩放、吸附</p>
<p>实现多平台的通用性设计不仅需要交互层面的考虑，还需要视觉和技术层面综合考虑，由于本人从事交互，其他两项无法深入分析，找出共性。还请人心人士补充。</p>
<p>编后语：作者这段话很傲娇，特意为作者留下</p>
<p>作为一名普通用户，吐个槽～</p>
<p>虽然不是5岁的美国小萝莉，不过我还是受够了各种操作平台的分类，以及浏览一个网站或者使用一款产品要学多个版本的行为！！各种PC版、iPhone版、iPad版（所谓的HD）、Android版… 我想说，版你妹呀…</p>
<p>微博设计团队博客</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 09:27:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%80%9a%e8%bf%87/" title="通过">通过</a>, <a href="https://www.iamivan.net/tag/%e4%ba%a4%e4%ba%92%e8%ae%be%e8%ae%a1/" title="交互设计">交互设计</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e5%b9%b3%e5%8f%b0/" title="多平台">多平台</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e8%a6%81%e5%8a%9f%e8%83%bd/" title="主要功能">主要功能</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PC、iOS、Android通用的交互设计的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7wqnKz.html" rel="bookmark">C&num;&sol;IOS&sol;Android通用加密解密方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:C#/IOS/Android通用加密解密方法 公司在做移动端ios/android,服务器提供接口使用的.net,用到加密解密这一块,也在网上找了一些方法,有些是.net加密了android解密不了,或者反之.下面的是三个平台都可以加密解密的方法.加密解密中用到的key=&quot;1234578&quot;;在调取方法时传值即可. C#代码 #region 跨平台加解密(c#) /// &lt;summary&gt; /// 对字符串进行DES加密 /// &lt;/summary&gt; ///			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RYOkb.html" rel="bookmark">浅谈iOS和Android的产品交互设计&colon;iPhone和Android的控件对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 前言 开发者在产品上同时覆盖iOS平台和Android平台时,则会遇到同一个功能在不同平台中界面和交互如何展现的问题. 了解两个平台间的控件对应关系和异同点,对同时面向两个平台的产品和交互设计是有帮助的. 此部分就两个平台的控件进行对应,并辅以一定的描述,更详细的控件说明和适用的场合请直接参阅参考资料中的相关文档. 说明:Android中的系统控件会根据不同的ROM和操作系统版本有所变化,本文中Android控件以&lt;Android Design&gt;为主要参考. 二.目的 本文期望表达的含义			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7WrzW.html" rel="bookmark">Android界面与交互设计原则：以用户为中心</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				译者按: 在iOS HIG已经强大经典了N年之后,Android终于推出了一套比较系统的HIG(大概是为了配合Android 4.0 Ice Cream Sandwich).仔细比较两套HIG的&quot;设计原则&quot;部分,发现完全是截然不同的两种风格.iOS HIG走的是更专业型的路线,描述严谨且有不少的专业词汇(比如Metaphors.Consistency之类的).而Android则显得亲民许多,不仅描述方式简要易懂,配图鲜明直观,甚至还用了&quot;me&quot;作为了一系列要点的标题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeyP8z.html" rel="bookmark">信息交互设计&colon;iOS与Android间有什么差别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:如何在iOS与Android间移植APP. 除了像&quot;I am rich&quot;这种定点打击苹果烧包族的APP外,大多数应用都会尽量覆盖包含尽可能多的用户.这就需要考虑在iOS和Android两种主流操作系统间移植的问题.如果为各个平台量身定做界面,就能让用户利用以往的使用习惯快速学习.但为多个平台设计各异的界面毕竟是需要工作量的.如何才能在跨平台移植的时候只做那些最有必要的工作呢?兵不打无准备之仗,先来看看iOS与Android间有什么差别吧. 1.物理键之返回 Android手机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNBqwM.html" rel="bookmark">iOS&sol;android&sol;wp三大移动平台的交互设计差异</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  iOS,Android,WindowsPhone是现在移动互联网上面主流的三个平台了,我也都分别参与过这三个平台的设计.在设计的过程中,因为这三个平台的不同特性,往往要角色切换,不断的换位思维. 可能新手和外行人觉得iOS和Android没什么区别,有的甚至拿Android直接照抄iOS设计就可以了.还有一些人可能对WindowsPhone平台一直觉得魔幻无比,但就是找不到应该如何下手.今天我总结了一下这三个平台之间交互设计上的差异性,在开展交互设计的过程中,必须要注意的问题: 一.布局形式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42erLM.html" rel="bookmark">交互设计的那些事：ANDROID、IOS和WP平台的六大差异</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iPhone.Galaxy S3 以及 Lumia 920是市场上如今最引人注目的三款智能手机,正好对应iOS.Android及Windows Phone三大平台,尽管三大操作系统在市场份额.出货量以及用户认可方面都有着不小的差异.但更能我们兴趣,更有讨论价值的其实是这三大平台在设计方面的差异,这不仅最终决定着用户的体验,也决定了开发者的参与热情. 一,布局形式的差异 1)iOS 经典的&quot;tab bar&quot;在 iOS 应用内如果要切换不同的模块,或者页面内要切换不同的栏目,往往都会用到&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr21mM.html" rel="bookmark">移动交互设计浅析 Android 4&period;0应用界面设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与 iOS 相比,Android 系统界面存在各种不协调,应用界面本身缺乏统一的规范.虽然 Android 的开放性为应用的自主发挥带来了最大的可能性,但如果系统本身能够提供标准的范例,也未必是一件坏事,毕竟许多应用并不一定需要独创的界面.从 Android 4.0 开始,系统界面在一致性上有了许多改善,那么 Android 应用的界面应该如何设计?如果你仔细观察 Google 近期的一系列应用上的设计,应该能发现在一些指导性的要点,而这些设计也正在被第三方应用采用. Android 应用不应该			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEmdPb.html" rel="bookmark">美图秀秀设计分析&colon;在Android&comma;iPhone上的交互设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:只是自己对于美图秀秀这款产品在设计上的一些想法,权当抛砖引玉,还请指点. 出于职业习惯,使用一款产品时总会不自觉地对其设计进行分析.当打开美图秀秀时,我知道,我又开始了. 美图秀秀是厦门美图科技有限公司旗下的一款产品,分别有 PC 客户端, Android, iPhone 应用.公司旗下还有其它几款产品:美图看看--免费看图软件,美图拍拍--摄像头自拍软件,美图淘淘--网店图片批理处理软件,美图化妆秀--强大的上妆软件.个人非常看好美图淘淘,依托淘宝这个大平台,它为广大淘宝店家们解决了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKmAab.html" rel="bookmark">Android Wear与Apple Watch交互设计对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  [编按]本文作者林宜立,出门问问产品经理,文章首发36kr,雷锋网(公众号:雷锋网)转载已获作者授权.对智能手表有兴趣可以加入他们的Android Wear 智能手表QQ群369838318 苹果公司 11 月 18 日正式发布了WatchKit开发工具,揭开了 Apple Watch 交互逻辑和诸多 UI 元素细节.虽然目前 Apple Watch 真机尚未发布,但凭借官方的材料,我们已经能够更具体地感受和想象 Apple Watch 的用户体验了.和已经开售的安卓智能手表操作系统 And			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlmrVp.html" rel="bookmark" class="title">怎么参加百度经验财富值抽奖活动</a>
					<div>
						  登录百度经验账户,在右侧&quot;我的经验&quot;栏自动弹出下拉信息,然后点击&quot;春节免费租车.百万好礼马上抢&quot;字样. 然后打开春节免费租车.百万好礼马上抢活动主页面上,直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2eZZz.html" rel="bookmark" class="title">交互设计&colon;电子商务网站导航设计</a>
					<div>
						最近在UCDCHINA上看一些电子商务设计的东西,因为手头一个项目就是如此.发现最新一期的话题是&quot;导航设计&quot;.我觉得结合最近的一些思考,有很多想法是可以说一说. 说到电子商务的导航 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVPy4M.html" rel="bookmark" class="title">聊天室php&amp;amp&semi;mysql&lpar;一&rpar;</a>
					<div>
						//第一个页面  name=&quot;index1.php&quot; &lt;? include &quot;../signup/mysql.php&quot;; $time1=time(); / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvg2Ap.html" rel="bookmark" class="title">使用Dojo开发支持Accessibility的Web应用</a>
					<div>
						简介 Accessibility,又经常被缩写为 a11y,指的是软件产品的可访问性.易用性,特别是指对于诸如视 力低下等残障人士的使用上的无障碍性.Web 应用,越来越多的作为软件产品的发布形式.而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKkeVp.html" rel="bookmark" class="title">PhotoShop CS5打造木栈道婚纱外景照片后期合成教程</a>
					<div>
						实例以上一教程&quot;PS鼠绘木栈道之材质构建教程&quot;中所构建的木栈道材质进行实例应用,主要通过一外景及婚纱照进行木栈道婚纱外景合成, 主要涉及到的知识点有变换扭曲.色彩调整及抠图等,有兴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjlxvp.html" rel="bookmark" class="title">如何ps制作酷炫蜘蛛侠钻出屏幕逼真效果图</a>
					<div>
						  1.在网上找一张笔记本素材,复制粘贴进蜘蛛侠,自由变化一下它的大小及角度. 2.隐藏自由变化完成后的蜘蛛侠,用圆角矩形描出屏幕的路径,尽量使它跟屏幕吻合. 3.新建一个路径层,继续描伸出屏幕外部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLlymb.html" rel="bookmark" class="title">eMule如何设置客户端口</a>
					<div>
						  eMule设置客户端口的方法: TCP eMule在首次运行时随机选择一个端口作为此参数的默认值,今后将始终通过此端口从其他客户那里下载数据.这个端口必须能够从外部连接,这一点非常重要,因为一旦此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmawVz.html" rel="bookmark" class="title">文件夹隐藏属性无法修改的解决方法</a>
					<div>
						症状: U盘在中毒了的电脑上使用后,里面的文件夹均消失了,这是因为里面的文件夹属性被改为隐藏属性.通过查看显示隐藏文件夹发现,所有隐藏了的文件夹的隐藏属性被锁定,无法通过鼠标右键查看文件夹属性的方法改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E81oM.html" rel="bookmark" class="title">哪些重要的C盘文件需要备份</a>
					<div>
						  一.我的文档 Microsoft在Windows 98以后各版本的Windows操作系统以及其他应用程序中都默认将用户编辑的文档保存在&quot;我的文档&quot;之中,并在Windows的桌面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw54qp.html" rel="bookmark" class="title">BIOS不能保存设置</a>
					<div>
						  在电脑使用的过程中,每次重新启动电脑都进入BIOS设置了时间并保存,但是下次开机,问题仍然存在. 电脑的系统时间不能保存,随着每次开机重置,这种情况是典型的BIOS供电问题,只要BIOS更换电池即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd9JkM.html" rel="bookmark" class="title">Eclipse运行安卓程序自动停止</a>
					<div>
						问题描述 Eclipse运行安卓程序自动停止 运行helllo world 什么的就没事, 按照教程打的代码,运行这种有按钮的一点击确定就自动退出,第一次问问题求大神解答一下.Console:[201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQm56z.html" rel="bookmark" class="title">使用 IIS 5&period;0 调整 Web服务器的艺术与科学&lpar;附录3&rpar;</a>
					<div>
						附录 3:ASP 缓存处理「ASP Template Cache」储存模板┱纯文字格式的预先编译 ASP 页 (已经演算 #includes等等).它的大小是由在 Metabase 中的 AspScr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NQPoM.html" rel="bookmark" class="title">js jquery 的优化问题</a>
					<div>
						问题描述 js jquery 的优化问题 现有如下代码: // 循环一个列表,逐行选中,直到所选行的某列值之和大于阈值 function autoChoose(){ var total = 10000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW8Qlp.html" rel="bookmark" class="title">《Rhino3D 4&period;0产品造型设计学习手册》&mdash;&mdash;1&period;1节Rhino 3D介绍</a>
					<div>
						1 Rhino 3D介绍 Rhino3D 4.0产品造型设计学习手册 ￼Rhino 3D是美国Robert McNeel &amp; Associates公司在1992年针对PC开发的强大的专业3D造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba76Zwp.html" rel="bookmark" class="title">dom-如何取出矩阵中的每一个元素？</a>
					<div>
						问题描述 如何取出矩阵中的每一个元素? 一个矩阵有6个参数 我想要分别取到这6个参数值,如何实现? 有没有原生的API? 解决方案 你这个矩阵里面的参数是怎么传进去的,就怎么取出来呗. 例如:如果矩阵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5QJ6M.html" rel="bookmark" class="title">你的创业公司能成功吗？管理责任是大问题</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 初创企业夭折的几率是非常高的.大多数创业者觉得这种事不会发生在他们身上,但真实的情况是:根据哈佛商学院讲师史克尔·高斯特(Shikhar Ghosh)最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKlmNb.html" rel="bookmark" class="title">怎么给swt tree加双击事件？</a>
					<div>
						问题描述 RT 解决方案 解决方案二:给treeitem增加事件,但是发现当节点的名称长度不一致时,点击空白处会触发上一次双击选中的节点.怎么才能根据鼠标点击的位置,来决定点击的是哪个节点呢?解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWGNRz.html" rel="bookmark" class="title">scrapy-splash 爬虫渲染异步加载，ajax</a>
					<div>
						首先给出splash官网地址:http://splash.readthedocs.io/en/stable/api.html#render-html 1.安装和准备 (1)先安装scrapy-spla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo789M.html" rel="bookmark" class="title">android-安卓slidingmenu菜单滑动出来之后，想滑动菜单关闭只能用setTouchModeBehin</a>
					<div>
						问题描述 安卓slidingmenu菜单滑动出来之后,想滑动菜单关闭只能用setTouchModeBehin 菜单滑动出来之后,想滑动菜单关闭只能用setTouchModeBehind,但是菜单上面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod36DM.html" rel="bookmark" class="title">【dotnet跨平台】Asp&period;net 正在经历的变革</a>
					<div>
						﻿﻿ [dotnet跨平台]Asp.net 正在经历的变革 Asp.net 正在经历一场变革,从官网:https://get.asp.net/ 我们可以看到多个版本的字眼如下: ASP.NET 4.6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnlBrM.html" rel="bookmark" class="title">link中的lamda函数和lamda表达式函数，两者的区别是什么？</a>
					<div>
						问题描述 link中的lamda函数和lamda表达式函数,两者的区别是什么? link中的lamda函数和lamda表达式函数,两者的区别是什么? 解决方案 Lambda表达式可以被编译成Expre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b220Nkb.html" rel="bookmark" class="title">SQLserver2000数据库，用frontpage2003做了个网站链接上了</a>
					<div>
						问题描述 SQLserver2000数据库,用frontpage2003做了个网站链接上了 现在 我想链接得到另一个服务器456上.就是说我有个服务器123让别人查询到数据,但是现在我想让别人也能查询 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgBkkM.html" rel="bookmark" class="title">MaxCompute在网络舆情监控系统中的应用</a>
					<div>
						背景介绍 根据中国互联网络信息中心(CNNIC)报告显示,我国的网民规模增长迅猛,截至2016年12月,我国网民规模达7.31亿,较2015年底提升了6.52个百分点.互联网成为反映社会舆情的一个重要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqRDWb.html" rel="bookmark" class="title">央视曝光制售假酒产业链除了酒瓶都是假的</a>
					<div>
						造假窝点门口有人&quot;放哨&quot;.造假人员假举报试探公安.不法分子回收酒瓶.将十几元的低档酒勾兑成名牌酒--昨日央视&lt;每周质量报告&gt;揭开了假酒制售从包装到勾兑再到销售各个犯罪环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlOavp.html" rel="bookmark" class="title">ASP javascript Application对象的Contents和StaticObjects做Cache的一些经验&lowbar;应用技巧</a>
					<div>
						Application对象内置集合有为存放简单类型设计的Contents,默认Application(&quot;key&quot;)就可以使用. 不过Application.Contents不能存放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QvVaM.html" rel="bookmark" class="title">微软对C&num;工程设置的设计怎么这么扯淡呢？</a>
					<div>
						问题描述 怎么感觉微软对C#工程设置的设计这么扯淡呢.C#工程的输出路径不支持环境变量,后期生成事件命令行不支持相对路径,这两点跟VC工程设置就比不了. 解决方案 解决方案二:&quot;C#工程的输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjog25M.html" rel="bookmark" class="title">掌上终端繁荣背后的数字版权隐忧</a>
					<div>
						随着iPad2的发布,以iPad为代表的平板电脑风生水起,摩托罗拉.三星等厂商纷纷杀入平板电脑市场.与此同时,电子书.智能手机等掌上终端设备也备受市场认可,掌上终端市场迎来了繁荣时代.值得注意的一点就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ygxmp.html" rel="bookmark" class="title">linxu中每天自动备份mysql两段脚本</a>
					<div>
						定时执行脚本: 执行  代码如下 复制代码 crontab -e 00 00 * * * /bin/bash yourpath/mysqlbak.sh 打开自动执行文件    代码如下 复制代码 vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx28rOz.html" rel="bookmark" class="title">easyui的datagrid hideColumn的问题，蛋疼好几天</a>
					<div>
						问题描述 easyui的datagrid hideColumn的问题,蛋疼好几天 &lt;table id=&quot;dg&quot; class=&quot;easyui-datagrid&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmWdxb.html" rel="bookmark" class="title">2&period; Java走过的坑-不随便设置随机种子</a>
					<div>
						下面来看一段代码 public class RandomSeed {     public static void main(String[] args) {         Random rando ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
